VismaBouwsoftAPICalls.v1_POST_MachineGroups Method
v1_POST_MachineGroups() as String

This API call is used to add a(n) MachineGroup

General Description

HTTP method API version
POST v1

Don’t forget to put the Authorization field in the header

API Path: /MachineGroups
or

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
name 2 tpString 50 No No No
list_id 1 tpLong 0 No No No
list_name 2 tpString 50 No No No
list_active 5 tpBool 0 No No No
used 5 tpBool 0 No No No

/MachineGroups

API Path: /MachineGroups/

If everything succeeds the HTTP response status is 201
(201 CREATED)

If you forget to send the Authorization, the response status and code is 401
(401 Unauthorized)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/MachineGroups

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: GkUfWxfPItzSfPVDGfzRqIAGfGIDGfbkfIlbzPOUtkkftUOrOV

Query Parameters :
ParameterName: columns, ParameterValue: list_name=’ALGEMEEN‘,name=’machinegroup added from api’

Success gives statuscode 201 And the following result

{“RecordChanges”: [
  {
    "id": 44,
    "name": "machinegroup added from api",
    "list_id": 1,
    "list_name": "ALGEMEEN",
    "list_active": true,
    "used": false
  }
]
}